/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for Image Library Entry Descriptors for PET
 */
public enum EnumCV_ImageLibraryEntryDescriptorsforPET 
{
	// Image Library Entry Descriptors for PET - CID 1607
	RADIONUCLIDE_C_10072("C-10072"),
	RADIOPHARMACEUTICAL_AGENT_F_61FDB("F-61FDB"),
	HALF_LIFE_OFRADIOPHARMACEUTICAL_R_42806("R-42806"),
	RADIO_PHARMACEUTICAL_START_DATE_TIME_123003("123003"),
	RADIOPHARMACEUTICAL_STOPTIME_123004("123004"),
	RADIOPHARMACEUTICAL_VOLUME_123005("123005"),
	RADIONUCLIDE_TOTAL_DOSE_123006("123006"),
	RADIOPHARMACEUTICAL_SPECIFICACTIVITY_123007("123007"),
	ROUTE_OF_ADMINISTRATION_G_C340("G-C340"),
	RADIONUCLIDE_SYRINGE_COUNTS_123009("123009"),
	RADIONUCLIDE_RESIDUAL_SYRINGECOUNTS_123010("123010"),
	PETRADIONUCLIDE_INCUBATION_TIME_126203("126203"),
	GLUCOSE_14749_6("14749-6"),
	GLUCOSE_MEASUREMENT_DATE_109081("109081"),
	GLUCOSEMEASUREMENT_TIME_109082("109082"),
	
;
	private String value;
	
	EnumCV_ImageLibraryEntryDescriptorsforPET(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}